La Trobe Educational Technologies FAQs

ID #1017

What are the system requirements for the LMS?

The Activities and Resources in the LMS function best using a browser such as Firefox. However, it will function well on the following browsers:

 

It is recommended that you always use the most recent version of any browser.   Please be aware that while the LMS should function on all of the listed browsers, La Trobe supports only Firefox and Internet Explorer.

 

Teaching and Learning Hub Resources

To access these resources in the Teaching and Learning hub, you are required to be logged into the LMS

Activity completion

Common Module settings

Restrict access to an activity

Browser requirements

Log in to the LMS